﻿.hide-element {
    display: none;
}

.display-element {
    display: block;
}

.div-class{
    background-color: red;
}
/***************** https://uiverse.io/satyamchaudharydev/rude-wolverine-24 ********************************/

.button-next {
    position: relative;
    transition: all 0.3s ease-in-out;
    box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.2);
    padding-block: 0.5rem;
    padding-inline: 1.25rem;
    background-color: rgb(0 107 179);
    border-radius: 9999px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffff;
    gap: 10px;
    font-weight: bold;
    border: 3px solid #ffffff4d;
    outline: none;
    overflow: hidden;
    font-size: 15px;
    cursor: pointer;
}

.icon {
    width: 24px;
    height: 24px;
    transition: all 0.3s ease-in-out;
}

.button-next:hover {
    transform: scale(1.05);
    border-color: #fff9;
}

    .button-next:hover .icon {
        transform: translate(4px);
    }

    .button-next:hover::before {
        animation: shine 1.5s ease-out infinite;
    }

.button-next::before {
    content: "";
    position: absolute;
    width: 100px;
    height: 100%;
    background-image: linear-gradient( 120deg, rgba(255, 255, 255, 0) 30%, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 70% );
    top: 0;
    left: -100px;
    opacity: 0.6;
}

@keyframes shine {
    0% {
        left: -100px;
    }

    60% {
        left: 100%;
    }

    to {
        left: 100%;
    }
}

/*************************************************/

/*************************************************/

.c-button-plus {
    border: none;
}

.c-button-plus {
    background: linear-gradient(140deg, rgba(75, 118, 200, 1) 0%, rgba(31, 70, 145, 1) 100%);
    border-radius: 45px;
    font-size: 25px;
    text-align: left;
    padding: 11px 0px 11px 0px;
    border: 4px solid rgb(37, 37, 37) !important;
    border-style: outset;
    box-shadow: -6px -5px 18px rgba(255, 255, 255, 0.1);
    cursor: pointer;
}

    .c-button-plus .c-main {
        border-radius: 45px;
        color: rgba(255, 255, 255, 1);
        padding: 11px 25px 11px 2px;
        box-shadow: inset 0px 0px 5px rgba(17, 17, 17, 0);
        transition: all 0.5s ease-in-out;
        border: 1px solid transparent;
    }

.c-ico .c-blur {
    background: linear-gradient(318deg, rgba(75, 118, 200, 1) 0%, rgba(31, 70, 145, 1) 100%);
    border-radius: 100%;
    margin-left: 0;
    padding: 8px 23px;
    filter: blur(1px);
    text-align: center;
}

.c-ico {
    position: relative;
    margin-right: 20px;
}

    .c-ico .ico-text {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

/* Hovering */

.c-button-plus .c-main:hover {
    box-shadow: inset 0px 0px 5px rgba(17, 17, 17, 0.6);
    border: 1px solid rgba(26, 26, 26,0.5);
    color: rgba(255, 255, 255, 0.5);
}


